/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pr2_cv3_2;

import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author Ing. Jaroslav Kuchař <kuchajar at fel.cvut.cz>
 */
public class TelefonniSeznamGeneric<T extends Polozka> {

    private List<T> seznam = new LinkedList<T>();
    private int pozice = 0;

    public void pridat(T t) {
        seznam.add(t);
        Collections.sort(seznam);
    }    

    public T vrat(int i) {
        if (i >= 0 && i < this.pocet()) {
            return seznam.get(i);
        } else {
            return null;
        }
    }

    public T vratAktualni(){
        if (pozice >= 0 && pozice < this.pocet()) {
            return seznam.get(pozice);
        } else {
            return null;
        }
    }

    public int pocet() {
        return seznam.size();
    }

    public int getPozice() {
        return pozice;
    }


    public void vpred(){
        if(pozice<pocet()-1){
            pozice++;
        }
    }

    public void vzad(){
        if(pozice>0){
            pozice--;
        }
    }

    public boolean posledni(){
        return (pozice==pocet()-1);
    }

    public boolean prvni(){
        return (pozice==0);
    }


}
